KeymapManagerImpl (jEdit API Documentation)
Date: 2018-04-10

org.jedit.keymap

## Class KeymapManagerImpl

- java.lang.Object
- - org.jedit.keymap.KeymapManagerImpl

- All Implemented Interfaces:
    KeymapManager

      public class KeymapManagerImpl
      extends java.lang.Object
      implements KeymapManager

  The default keymap manager implementation.
  Since:
    jEdit 5.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jedit.keymap.KeymapManager

      `KeymapManager.State`

  - ### Field Summary

    - ### Fields inherited from interface org.jedit.keymap.KeymapManager

      `DEFAULT_KEYMAP_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeymapManagerImpl(IPropertyManager propertyManager, java.io.File systemKeymapFolder, java.io.File userKeymapFolder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `copyKeymap(java.lang.String name, java.lang.String newName)` Copy the keymap to another one
    `void` | `deleteUserKeymap(java.lang.String name)` Delete a user keymap.
    `Keymap` | `getKeymap()` Returns the current keymap.
    `Keymap` | `getKeymap(java.lang.String name)` Returns the keymap with that name.
    `java.util.Collection<java.lang.String>` | `getKeymapNames()`
    `KeymapManager.State` | `getKeymapState(java.lang.String name)` Returns the state of the keymap
    `void` | `reload()`
    `void` | `resetKeymap(java.lang.String name)` Reset the keymap to it's original state if it was a modified system keymap

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeymapManagerImpl

          public KeymapManagerImpl(IPropertyManager propertyManager,
                                   java.io.File systemKeymapFolder,
                                   java.io.File userKeymapFolder)

  - ### Method Detail

    - #### getKeymap

          public Keymap getKeymap()

      Description copied from interface: `KeymapManager`
      Returns the current keymap.
      Specified by:
        `getKeymap` in interface `KeymapManager`
      Returns:
        the current keymap

    - #### getKeymapNames

          public java.util.Collection<java.lang.String> getKeymapNames()

      Specified by:
        `getKeymapNames` in interface `KeymapManager`

    - #### getKeymap

          public Keymap getKeymap(java.lang.String name)

      Description copied from interface: `KeymapManager`
      Returns the keymap with that name.
      Specified by:
        `getKeymap` in interface `KeymapManager`
      Parameters:
        `name` - the keymap name
      Returns:
        the user keymap of that name, if it exists, or the system keymap if it doesn't. If none exists `null` is returned

    - #### getKeymapState

          public KeymapManager.State getKeymapState(java.lang.String name)

      Description copied from interface: `KeymapManager`
      Returns the state of the keymap
      Specified by:
        `getKeymapState` in interface `KeymapManager`
      Parameters:
        `name` - the name of the keymap
      Returns:
        a state.

    - #### resetKeymap

          public void resetKeymap(java.lang.String name)

      Description copied from interface: `KeymapManager`
      Reset the keymap to it's original state if it was a modified system keymap
      Specified by:
        `resetKeymap` in interface `KeymapManager`
      Parameters:
        `name` - the keymap name

    - #### deleteUserKeymap

          public void deleteUserKeymap(java.lang.String name)

      Description copied from interface: `KeymapManager`
      Delete a user keymap.
      Specified by:
        `deleteUserKeymap` in interface `KeymapManager`
      Parameters:
        `name` - the keymap name

    - #### copyKeymap

          public boolean copyKeymap(java.lang.String name,
                                    java.lang.String newName)

      Description copied from interface: `KeymapManager`
      Copy the keymap to another one
      Specified by:
        `copyKeymap` in interface `KeymapManager`
      Parameters:
        `name` - the original keymap
        `newName` - the new keymap

    - #### reload

          public void reload()

      Specified by:
        `reload` in interface `KeymapManager`